export default {
  name: 'Modelo de negócio',
  icon: '/img/canvas/canvas-business.svg',
  schema: [
    {
      label: 'partners',
      number: 2,
      title: 'Parceiros-chave',
      description: [
        'Quem são seus principais parceiros/fornecedores?',
      ],
    },
    {
      label: 'activities',
      number: 3,
      title: 'Atividades-chave',
      description: [
        'Quais são as atividades indispensáveis para a sua empresa funcionar?',
        'Exemplo: Em um restaurante, cozinhar, lavar as louças, atender os clientes e limpar o local são atividades-chave.',
      ],
    },
    {
      label: 'resources',
      number: 7,
      title: 'Recursos-chave',
      description: [
        'Quais são os recursos que preciso para atender a proposta de valor?',
        'Qual recurso é indispensável para a existência da minha empresa?',
    ],
    },
    {
      label: 'proposition',
      number: 5,
      title: 'Proposta de valor',
      description: [
        'Por que meus clientes vão comprar/usar meu produto ou serviço?',
        'Qual problema o meu produto ou serviço está resolvendo?',
        'Qual valor entregamos aos clientes?',
      ],
    },
    {
      label: 'relationships',
      number: 8,
      title: 'Relacionamento',
      description: [
        'Que relacionamento cada segmento de clientes espera que você estabeleça e mantenha?',
      ],
    },
    {
      label: 'channels',
      number: 6,
      title: 'Canais',
      description: [
      'Por meio de quais canais o segmento de clientes quer ser contatado? ',
      'Quais canais funcionam melhor? ',
      'Quais são os mais assertivos? ',
      ],
    },
    {
      label: 'customers',
      number: 1,
      title: 'Segmentos de clientes',
      description: [
      'Meu público é composto de homens ou mulheres?',
      'Qual é a idade deles? ',
      'Qual é o perfil?',
    ],
    },
    {
      label: 'cost',
      number: 9,
      title: 'Estrutura de custos',
      description: [
        'Quais são os custos importantes que você faz para criar e entregar sua proposta de valor?',
        'Quais são as despesas e investimentos que você terá com sua empresa? (Sejam eles fixos ou variáveis)',
      ],
    },
    {
      label: 'revenue',
      number: 4,
      title: 'Fontes de receita',
      description: [
     'Como os clientes o recompensam pelo valor que você fornece a eles?',
      'Quais são os diferentes modelos de receita?',
      ],
    },
  ],
};

